<!DOCTYPE html>
<html>
  <head>
    <title>Chart Example</title>
    <!-- Load the Chart.js library from CDN -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
  </head>
  <body>
    <canvas id="myChart"></canvas>
    <script>
      fetch('/data')
        .then(res => res.json())
        .then(data => {
          const labels = data.map(obj => obj.msg.temp);
          const dataPoints = data.map(obj => obj.msg.humid);
          
          // Create a new chart and render it in the 'myChart' canvas element
          const ctx = document.getElementById('myChart').getContext('2d');
          const chart = new Chart(ctx, {
            type: 'line',
            data: {
              labels: labels,
              datasets: [{
                label: 'Humidity vs Temperature',
                data: dataPoints,
                backgroundColor: 'rgba(255, 99, 132, 0.2)',
                borderColor: 'rgba(255, 99, 132, 1)',
                borderWidth: 1
              }]
            },
            options: {
              scales: {
                yAxes: [{
                  ticks: {
                    beginAtZero: true
                  }
                }]
              }
            }
          });
        });
    </script>
  </body>
</html>
